from tipbot.commands.help import help
from tipbot.commands.debug import debug
from tipbot.commands.register import register
from tipbot.commands.tip import tip
from tipbot.commands.withdraw import withdraw
from tipbot.commands.balance import balance
from tipbot.commands.deposit import deposit


all_commands = {
    'register': {
        'func': register,
        'example': '/register',
        'help': 'Register your Telegram user ID to this bot to begin sending and receiving tips',
    },
    'tip': {
        'func': tip,
        'example': '/tip <username> <amount> <message>',
        'help': 'Tip a user in Wownero'
    },
    'withdraw': {
        'func': withdraw,
        'example': '/withdraw <address> <amount>',
        'help': 'Withdraw Wownero to a specified Wownero address'
    },
    'balance': {
        'func': balance,
        'example': '/balance',
        'help': 'Show your current balance'
    },
    'deposit': {
        'func': deposit,
        'example': '/deposit',
        'help': 'Show your Wownero wallet address for transferring funds to'
    },
    'help': {
        'func': help,
        'example': '/help',
        'help': 'Show available commands for the bot',
    },
    'debug': {
        'func': debug,
        'admin': True
    }
}
